# xarray.DataArray.transpose

`DataArray.``transpose`(*dims)

  Return a new DataArray object with transposed dimensions.

  Parameters:

  *dims : str, optional

  > By default, reverse the dimensions. Otherwise, reorder the dimensions to this order.

  Returns:

  transposed : DataArray

  > The returned DataArray’s array is transposed.

  See also

  `numpy.transpose`, `Dataset.transpose`

  Notes

  Although this operation returns a view of this array’s data, it is not lazy – the data will be fully loaded.